Subject: bug#48574: closed (Re: bug#48574: cuirass: Derivations for active jobsets are missing)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 26 May 2021 09:27:02 +0000

Your bug report

#48574: cuirass: Derivations for active jobsets are missing

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48574: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48574
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48574: cuirass: Derivations for active jobsets are missing
From: Mathieu Othacehe <[email-masked]>
To: "Leo Famulari" <[email-masked]>
Cc: [email-masked]
Date: Wed, 26 May 2021 11:26:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Leo,

> I think we need to make these "active" of registered derivations into GC roots.

This is fixed with 303845d26682e9e9536ef1ff6d6c68ec90fad170.

Thanks,

Mathieu

Subject: Derivations for active jobsets are missing
From: "Leo Famulari" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 21 May 2021 15:59:35 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed that many jobs from the 'ungrafting' jobset were failing due
to errors like this:

------
substitute: 
substitute: [Kupdating substitutes from 'http://141.80.167.131:5557'...   0.0%
substitute: [Kupdating substitutes from 'http://141.80.167.131:5557'... 100.0%
substitute: 
substitute: [Kupdating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: [Kupdating substitutes from 'https://ci.guix.gnu.org'... 100.0%
cannot build missing derivation ?/gnu/store/mfyjaw81dhizfm4zkkx75h28vfjy0qq4-python-hacking-4.1.0.drv?
------

https://ci.guix.gnu.org/build/375186/details

I logged in to berlin.gnu.org and confirmed that the derivation was
missing.

I think we need to make these "active" of registered derivations into GC roots.